post/key/block

Block Key

Revoke and block a license key to prevent any future usage.

Authentication required: Bearer Token in Authorization header.

Parameters

Idempotency-Key
string (header)

Client-generated unique key making a mutating request idempotent. Replaying a request with the same key returns the original result instead of duplicating side effects. Optional on POST/PUT/PATCH/DELETE.

e.g. <IDEMPOTENCY-KEY>

Request Body (application/json)

productIdrequired
string
licenseKeyrequired
string

Responses

200License key blocked successfully

Response Body (200)

message
string
code
integer
Request Example
curl -X POST "https://api.keymint.dev/key/block" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "productId": "string",
  "licenseKey": "XXXXX-XXXXX-XXXXX-XXXXX"
}'
Response (200 OK)
{
  "message": "Key blocked",
  "code": 0
}